View Issue Details

IDProjectCategoryView StatusLast Update
13734Bug reports[All Projects] _ Unknownpublic2018-06-29 17:16
ReporteradelphisurveysAssigned ToLouisGac 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.8.x 
Target VersionFixed in Version3.13.x 
Summary13734: image upload is not possible - You don't have permissions to browse server.
Description

When i try to upload an image with CKEditor it is not possible. I am getting this error message:

"You don't have permissions to browse server."

The permissions for my upload-directory are right.

I have found a Workaround for my Problem. In one of my survey i go to the Optione "Ressourcen". There I can upload an image.
From this moment, i can upload images from every CKEditor in my survey.

Steps To Reproduce

You Can see this error in your demo version too.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.8.2+180529 and Version 3.8.1
I will donate to the project if issue is resolvedNo
Browserall
Database & DB-VersionMySQL 5.5.60-0+deb8u1
Operating System (Server)Linux
Webserver software & versionApache 2.4.10
PHP Version5.6

Relationships

related to 13204 closedmarkusfluer Even with good settings : browse ressources show "You don't have Permission to browse this server" 

Activities

adelphisurveys

adelphisurveys

2018-06-01 16:42

reporter  

DenisChenu

DenisChenu

2018-06-02 14:01

developer   ~47944

You mean :

  • It work in Ressource tab of survey settings
  • It don't work onCKeditor (except after gone to Ressource tab )
Drewskie

Drewskie

2018-06-20 14:26

reporter   ~48249

Denis,
That is correct, upload a file in the resources tab and then when you go to Text elements you are now able to upload a image. Not sure what the correct behaviour is here but the image is now available on all surveys.

Drewskie

Drewskie

2018-06-20 14:31

reporter   ~48250

Also forgot to mention I am getting the issue in 3.12.1 (currently testing for release) and 3.7.3 (current productive environment)

DenisChenu

DenisChenu

2018-06-21 10:25

developer   ~48254

Can confirm issue but only in this way : (with inline HTML editor)

  1. Create your survey
  2. Save
  3. Edit survey text : broken

2 workarounds

  • Use Ressource tab
  • Create a group, edit/image and browse server
c_schmitz

c_schmitz

2018-06-28 16:07

administrator   ~48365

Bug is also causing uploads in the directory of previously selected surveys.

LouisGac

LouisGac

2018-06-28 17:47

manager   ~48378

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=27568

c_schmitz

c_schmitz

2018-06-29 17:16

administrator   ~48420

New version released.

Related Changesets

LimeSurvey: master 9aa33154

2018-06-28 17:47:29

LouisGac

Details Diff
Fixed issue 13734: image upload is not possible - You don't have permissions to browse server.
mod - application/views/admin/survey/subview/tab_edit_view.php Diff File

Issue History

Date Modified Username Field Change
2018-06-01 16:42 adelphisurveys New Issue
2018-06-01 16:42 adelphisurveys File Added: 2018-06-0110_09_46-LimeSurvey.png
2018-06-02 14:01 DenisChenu Note Added: 47944
2018-06-02 14:02 DenisChenu Relationship added related to 13204
2018-06-20 14:26 Drewskie Note Added: 48249
2018-06-20 14:31 Drewskie Note Added: 48250
2018-06-21 10:25 DenisChenu Reproducibility have not tried => always
2018-06-21 10:25 DenisChenu Note Added: 48254
2018-06-28 15:54 c_schmitz Assigned To => LouisGac
2018-06-28 15:54 c_schmitz Status new => assigned
2018-06-28 16:07 c_schmitz Note Added: 48365
2018-06-28 17:47 LouisGac Changeset attached => LimeSurvey master 9aa33154
2018-06-28 17:47 LouisGac Note Added: 48378
2018-06-28 17:47 LouisGac Resolution open => fixed
2018-06-29 17:14 LouisGac Status assigned => resolved
2018-06-29 17:14 LouisGac Fixed in Version => 3.13.x
2018-06-29 17:16 c_schmitz Status resolved => closed
2018-06-29 17:16 c_schmitz Note Added: 48420